fv::Container< H, V > Class Template Reference

A class that is used to "hold" values. More...

`#include <container.hpp>`

Inheritance diagram for fv::Container< H, V >:
[legend]
Collaboration diagram for fv::Container< H, V >:
[legend]

## Public Member Functions

| Container (const std::string &name, Value< V > *value)
virtual H * | get_container ()
virtual const std::string & | get_value_name ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
GenContainer * | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save_as (const std::string &fname, const SaveOption &option)=0
virtual void | save (const SaveOption &option=SaveOption::PNG)

## Protected Attributes

H * | container
Value< V > * | value

## Additional Inherited Members

Protected Member Functions inherited from fv::GenContainer
virtual void | _fill ()=0

## Detailed Description

### template<typename H, typename V>
class fv::Container< H, V >

A class that is used to "hold" values.

When an event is loaded, the associated filters on this container are checked. If they all pass, the `_fill()` method is called and the Container can access the stored Value object to process it. For example, if the Container is a ROOT Histogram object, it may call `container->Fill(value->get_value())`.

Definition at line 132 of file container.hpp.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/container.hpp